summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
Diffstat (limited to 'tools')
-rwxr-xr-xtools/pretty_tox.sh9
1 files changed, 7 insertions, 2 deletions
diff --git a/tools/pretty_tox.sh b/tools/pretty_tox.sh
index b9fd556..9699a6f 100755
--- a/tools/pretty_tox.sh
+++ b/tools/pretty_tox.sh
@@ -7,5 +7,10 @@ set -o pipefail
TESTRARGS=$1
-python setup.py testr --slowest --testr-args="--subunit $TESTRARGS" | subunit-trace -f
-
+python setup.py testr --testr-args="--subunit $TESTRARGS" | subunit-trace -f
+retval=$?
+# NOTE(mtreinish) The pipe above would eat the slowest display from pbr's testr
+# wrapper so just manually print the slowest tests
+echo -e "\nSlowest Tests:\n"
+testr slowest
+exit $retval